Subject: bug#25656: 25.1; remember-notes-mode makes every temporary buffer created from it unkillable

From: Vasilij Schneidermann <[email-masked]>
Date: Thu, 9 Feb 2017 00:12:32 +0100

I wrote an Emacs package that takes an Org file, processes it with Org's
element API and exports to a file.  Later I've noticed that if I use it
on an Org buffer created with remember-notes-mode, it creates ~500
temporary buffers that cannot be killed.  Bisection reveals that this is
the fault of `remember-notes--kill-buffer-query` which is added locally
to `kill-buffer-query-functions` and returns nil if
`remember-notes-bury-on-kill` hasn't been customized.

This raises an interesting question, should a temporary buffer as
created by `with-temp-buffer` let-bind potentially troublesome hooks
including, but not limited to `kill-buffer-query-functions`?  Another
example coming to mind is `buffer-list-update-hook`, adding a function
to it that scans the buffer list makes creating and killing temporary
buffers an expensive action.